DominoNamingContext (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoNamingContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoNamingContext

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoNamingContext

extends LogicalElement

Represents a group of fields in the directory assistance document that are grouped together as a domino naming context.

Naming Rules:
  0="parent,contextNo"
Persistable:
  true
Table Name:
  DOMNAMCT
Display Name:
  parent,contextNo

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getContextNo()` Represents the context no in the list of contexts.
`java.lang.String` | `getCountry()` Field "Country_0"
`int` | `getEnabled()` Field "REnable_0"
`java.lang.String` | `getOrganization()` Field "Org_0"
`java.lang.String` | `getOrgUnit1()` Field "OU1_0"
`java.lang.String` | `getOrgUnit2()` Field "OU2_0"
`java.lang.String` | `getOrgUnit3()` "OU3_0"
`java.lang.String` | `getOrgUnit4()` Field "OU4_0"
`DirectoryAssistance` | `getParent()` The directory assistance this belongs to.
`int` | `getTrusted()` Field "Trusted_0"
`boolean` | `hasContextNo()`
`boolean` | `hasCountry()`
`boolean` | `hasEnabled()`
`boolean` | `hasOrganization()`
`boolean` | `hasOrgUnit1()`
`boolean` | `hasOrgUnit2()`
`boolean` | `hasOrgUnit3()`
`boolean` | `hasOrgUnit4()`
`boolean` | `hasParent()`
`boolean` | `hasTrusted()`
`void` | `setContextNo(int s)`
`void` | `setCountry(java.lang.String s)`
`void` | `setEnabled(int s)`
`void` | `setOrganization(java.lang.String s)`
`void` | `setOrgUnit1(java.lang.String s)`
`void` | `setOrgUnit2(java.lang.String s)`
`void` | `setOrgUnit3(java.lang.String s)`
`void` | `setOrgUnit4(java.lang.String s)`
`void` | `setParent(DirectoryAssistance s)`
`void` | `setTrusted(int s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DirectoryAssistance s)

### getParent

    DirectoryAssistance getParent()
                                  throws AttributeNotSetException

  The directory assistance this belongs to.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Locates" reverse="true"

### hasParent

    boolean hasParent()

### setContextNo

    void setContextNo(int s)

### getContextNo

    int getContextNo()
                     throws AttributeNotSetException

  Represents the context no in the list of contexts.

  Throws:
    `AttributeNotSetException`

### hasContextNo

    boolean hasContextNo()

### setOrgUnit4

    void setOrgUnit4(java.lang.String s)

### getOrgUnit4

    java.lang.String getOrgUnit4()
                                 throws AttributeNotSetException

  Field "OU4_0"

  Throws:
    `AttributeNotSetException`

### hasOrgUnit4

    boolean hasOrgUnit4()

### setOrgUnit3

    void setOrgUnit3(java.lang.String s)

### getOrgUnit3

    java.lang.String getOrgUnit3()
                                 throws AttributeNotSetException

  "OU3_0"

  Throws:
    `AttributeNotSetException`

### hasOrgUnit3

    boolean hasOrgUnit3()

### setOrgUnit2

    void setOrgUnit2(java.lang.String s)

### getOrgUnit2

    java.lang.String getOrgUnit2()
                                 throws AttributeNotSetException

  Field "OU2_0"

  Throws:
    `AttributeNotSetException`

### hasOrgUnit2

    boolean hasOrgUnit2()

### setOrgUnit1

    void setOrgUnit1(java.lang.String s)

### getOrgUnit1

    java.lang.String getOrgUnit1()
                                 throws AttributeNotSetException

  Field "OU1_0"

  Throws:
    `AttributeNotSetException`

### hasOrgUnit1

    boolean hasOrgUnit1()

### setOrganization

    void setOrganization(java.lang.String s)

### getOrganization

    java.lang.String getOrganization()
                                     throws AttributeNotSetException

  Field "Org_0"

  Throws:
    `AttributeNotSetException`

### hasOrganization

    boolean hasOrganization()

### setCountry

    void setCountry(java.lang.String s)

### getCountry

    java.lang.String getCountry()
                                throws AttributeNotSetException

  Field "Country_0"

  Throws:
    `AttributeNotSetException`

### hasCountry

    boolean hasCountry()

### setEnabled

    void setEnabled(int s)

### getEnabled

    int getEnabled()
                   throws AttributeNotSetException

  Field "REnable_0"

  Throws:
    `AttributeNotSetException`

### hasEnabled

    boolean hasEnabled()

### setTrusted

    void setTrusted(int s)

### getTrusted

    int getTrusted()
                   throws AttributeNotSetException

  Field "Trusted_0"

  Throws:
    `AttributeNotSetException`

### hasTrusted

    boolean hasTrusted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD